Entur Developer
Products

roundings

Server

Retrieves all rounding parameters

GET
https://api.entur.io/products
/roundings

Retrieves all rounding parameters › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify an organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify a dataset to an organisation

minimizeDataLoad
​boolean · style: form · explode: true
validOnDate
​string · date-time · style: form · explode: true

Return only the versions valid on the given date (ISO-8601).

Retrieves all rounding parameters › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all rounding parameters › Responses

Returns the info

​Rounding[]
A description of how prices are rounded post calculation
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Rounding:Ordinary
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: Rounding
roundingMethod
​string · enum · required

Type of rounding.

Enum values:
NONE
DOWN
UP
SPLIT
STEP_TABLE
FIVE
NINE
TEN
status
​string · enum · readOnly · required

Rounding status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Rounding version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

​TextInLanguage[]

Name.

roundingModulus
​number · double

Amount by which rounding is to be quantised, i.e. results should be quantised to nearest whole multiple of this value.


Create a rounding

POST
https://api.entur.io/products
/roundings

Create a rounding › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a rounding › Request Body

A description of how prices are rounded post calculation
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Rounding:Ordinary
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: Rounding
roundingMethod
​string · enum · required

Type of rounding.

Enum values:
NONE
DOWN
UP
SPLIT
STEP_TABLE
FIVE
NINE
TEN
status
​string · enum · readOnly · required

Rounding status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Rounding version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

​TextInLanguage[]

Name.

roundingModulus
​number · double

Amount by which rounding is to be quantised, i.e. results should be quantised to nearest whole multiple of this value.

Create a rounding › Responses

Entity created successfully

No data returned

Retrieves the rounding valid on a given date

GET
https://api.entur.io/products
/roundings/{id}

Optional validOnDate query parameter (defaults to now). In prod returns the VERSIONED element; in staging/dev PROPOSED is preferred over VERSIONED.

Retrieves the rounding valid on a given date › path Parameters

id
​string · required · style: simple

The id to identify a Rounding

Retrieves the rounding valid on a given date › query Parameters

validOnDate
​string · date-time · style: form · explode: true

Return the version valid on the given date (ISO-8601).

Retrieves the rounding valid on a given date › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves the rounding valid on a given date › Responses

Returns the info

A description of how prices are rounded post calculation
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Rounding:Ordinary
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: Rounding
roundingMethod
​string · enum · required

Type of rounding.

Enum values:
NONE
DOWN
UP
SPLIT
STEP_TABLE
FIVE
NINE
TEN
status
​string · enum · readOnly · required

Rounding status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Rounding version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

​TextInLanguage[]

Name.

roundingModulus
​number · double

Amount by which rounding is to be quantised, i.e. results should be quantised to nearest whole multiple of this value.


Retrieves rounding for id and version

GET
https://api.entur.io/products
/roundings/{id}/{version}

Retrieves rounding for id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a Rounding

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the Rounding

Retrieves rounding for id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves rounding for id and version › Responses

Returns the info

A description of how prices are rounded post calculation
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Rounding:Ordinary
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: Rounding
roundingMethod
​string · enum · required

Type of rounding.

Enum values:
NONE
DOWN
UP
SPLIT
STEP_TABLE
FIVE
NINE
TEN
status
​string · enum · readOnly · required

Rounding status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Rounding version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

​TextInLanguage[]

Name.

roundingModulus
​number · double

Amount by which rounding is to be quantised, i.e. results should be quantised to nearest whole multiple of this value.


Updates an existing rounding

PUT
https://api.entur.io/products
/roundings/{id}/{version}

Updates an existing rounding › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a Rounding

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the Rounding

Updates an existing rounding › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Updates an existing rounding › Request Body

A description of how prices are rounded post calculation
changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Rounding:Ordinary
modification
​string · enum · readOnly · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly · required

Name of class.

Example: Rounding
roundingMethod
​string · enum · required

Type of rounding.

Enum values:
NONE
DOWN
UP
SPLIT
STEP_TABLE
FIVE
NINE
TEN
status
​string · enum · readOnly · required

Rounding status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Rounding version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description.

​TextInLanguage[]

Name.

roundingModulus
​number · double

Amount by which rounding is to be quantised, i.e. results should be quantised to nearest whole multiple of this value.

Updates an existing rounding › Responses

Entity updated successfully

No data returned

Deletes a Rounding by id and version

DELETE
https://api.entur.io/products
/roundings/{id}/{version}

Deletes a Rounding by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a Rounding

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the Rounding

Deletes a Rounding by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deletes a Rounding by id and version › Responses

The resource was deleted


Did you find what you were looking for?